| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Strat::Layer Class Reference
Strat

data for a layer. More...

`#include <stratlayer.h>`

## Public Types
typedef CompoundKey | ID

## Public Member Functions
| Layer (const Layer &)
| Layer (const LeafUnitRef &)
| ~Layer ()
const Content & | content () const
float | depth () const
OD::Color | dispColor (bool lith_else_upnode) const
const LayerValue * | getLayerValue (int) const
void | getValues (float *, int sz) const
void | getValues (TypeSet< float > &) const
ID | id () const
| unitRef().fullCode()
bool | isMath (int) const
const Lithology & | lithology () const
BufferString | name () const
int | nrValues () const
Layer & | operator= (const Layer &)
const RefTree & | refTree () const
void | setContent (const Content &)
void | setRef (const LeafUnitRef &r)
void | setThickness (float v)
void | setValue (int, const IOPar &, const PropertyRefSelection &)
void | setValue (int, const Math::Formula &, const PropertyRefSelection &, const Property::EvalOpts &)
void | setValue (int, const Math::Formula &, const PropertyRefSelection &, float xpos=0.5f)
void | setValue (int, float)
void | setValue (int, LayerValue *)
| becomes mine
void | setXPos (float)
void | setZTop (float v)
float | thickness () const
const LeafUnitRef & | unitRef () const
float | value (int) const
| can be undef
float | zBot () const
float | zTop () const

## Static Public Member Functions
static const PropertyRef & | thicknessRef ()

## Protected Member Functions
void | setLV (int, LayerValue *)

## Protected Attributes
const Content * | content_ = nullptr
const LeafUnitRef * | ref_
ObjectSet< LayerValue > | vals_
float | ztop_

## Detailed Description

data for a layer.

Layers are atached to a UnitRef. To understand the values, you need access to the governing PropertyRefSet, usually attached to the LayerSequence that the Layer is part of.

<>

## Member Typedef Documentation

## ◆ ID

typedef CompoundKey Strat::Layer::ID

## Constructor & Destructor Documentation

## ◆ Layer() [1/2]

Strat::Layer::Layer | ( | const LeafUnitRef & |  | ) |

## ◆ Layer() [2/2]

Strat::Layer::Layer | ( | const Layer & |  | ) |

## ◆ ~Layer()

Strat::Layer::~Layer | ( |  | ) |

## Member Function Documentation

## ◆ content()

const Content & Strat::Layer::content | ( |  | ) | const

## ◆ depth()

float Strat::Layer::depth | ( |  | ) | const
| inline

## ◆ dispColor()

OD::Color Strat::Layer::dispColor | ( | bool | lith_else_upnode | ) | const

## ◆ getLayerValue()

const LayerValue * Strat::Layer::getLayerValue | ( | int |  | ) | const

## ◆ getValues() [1/2]

void Strat::Layer::getValues | ( | float * | ,
|  | int | sz ) const

## ◆ getValues() [2/2]

void Strat::Layer::getValues | ( | TypeSet< float > & |  | ) | const

## ◆ id()

ID Strat::Layer::id | ( |  | ) | const

unitRef().fullCode()

## ◆ isMath()

bool Strat::Layer::isMath | ( | int |  | ) | const

## ◆ lithology()

const Lithology & Strat::Layer::lithology | ( |  | ) | const

## ◆ name()

BufferString Strat::Layer::name | ( |  | ) | const

## ◆ nrValues()

int Strat::Layer::nrValues | ( |  | ) | const
| inline

## ◆ operator=()

Layer & Strat::Layer::operator= | ( | const Layer & |  | ) |

## ◆ refTree()

const RefTree & Strat::Layer::refTree | ( |  | ) | const

## ◆ setContent()

void Strat::Layer::setContent | ( | const Content & |  | ) |

## ◆ setLV()

void Strat::Layer::setLV | ( | int | ,
|  | LayerValue * | )
| protected

## ◆ setRef()

void Strat::Layer::setRef | ( | const LeafUnitRef & | r | ) |
| inline

## ◆ setThickness()

void Strat::Layer::setThickness | ( | float | v | ) |

## ◆ setValue() [1/5]

void Strat::Layer::setValue | ( | int | ,
|  | const IOPar & | ,
|  | const PropertyRefSelection & | )

## ◆ setValue() [2/5]

void Strat::Layer::setValue | ( | int | ,
|  | const Math::Formula & | ,
|  | const PropertyRefSelection & | ,
|  | const Property::EvalOpts & | )

## ◆ setValue() [3/5]

void Strat::Layer::setValue | ( | int | ,
|  | const Math::Formula & | ,
|  | const PropertyRefSelection & | ,
|  | float | xpos = 0.5f )

## ◆ setValue() [4/5]

void Strat::Layer::setValue | ( | int | ,
|  | float | )

## ◆ setValue() [5/5]

void Strat::Layer::setValue | ( | int | ,
|  | LayerValue * | )

becomes mine

## ◆ setXPos()

void Strat::Layer::setXPos | ( | float |  | ) |

## ◆ setZTop()

void Strat::Layer::setZTop | ( | float | v | ) |
| inline

## ◆ thickness()

float Strat::Layer::thickness | ( |  | ) | const

## ◆ thicknessRef()

static const PropertyRef & Strat::Layer::thicknessRef | ( |  | ) |
| static

## ◆ unitRef()

const LeafUnitRef & Strat::Layer::unitRef | ( |  | ) | const
| inline

## ◆ value()

float Strat::Layer::value | ( | int |  | ) | const

can be undef

## ◆ zBot()

float Strat::Layer::zBot | ( |  | ) | const
| inline

## ◆ zTop()

float Strat::Layer::zTop | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ content_

const Content* Strat::Layer::content_ = nullptr
| protected

## ◆ ref_

const LeafUnitRef* Strat::Layer::ref_
| protected

## ◆ vals_

ObjectSet<LayerValue> Strat::Layer::vals_
| protected

## ◆ ztop_

float Strat::Layer::ztop_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025